MODULE glbconst
implicit none
integer, parameter, public :: maxfr1=10,maxfr2=48,                            &
                             maxn=1024,max8=8*maxn,maxpf=48,maxs=32,maxss=32, & 
                             maxsub=8,mplot=6,maxco=64,infplot=maxsub+mplot,  &
                               maxthss=maxss*7                   

integer, parameter, public ::maxvaco=96, maxcom=48, maxnth=16,                &
                             maxprd=maxs*8,maxtrf =512,                       &
                             maxthsl=16,maxthlv=16,maxpl=maxs*maxvaco          

integer, parameter, public:: maxc=maxpl,maxp=maxpl/4,maxscr=3*maxc+2*maxp,    &
                             icstrf=maxvaco*2, ivstrf=maxvaco*2,              &
                             icfr1trf=maxvaco, ivfr1trf=maxvaco,              &
                             icfr2trf=maxvaco, ivfr2trf=maxvaco,              &
                             icsstrf=maxvaco,  ivsstrf=maxvaco,               &
                             mi_scrd=88*256,mr_scrd=68*256,mc_scrd=434*256,   &      
                             maxscrd=mi_scrd+mr_scrd+mc_scrd,                 &
                             maxscrt=9*max8+2*maxpf+maxco*8+2,                &
                             MDBPLFT=maxn*72, marray_sp=maxn*768                  
! maxn  = maximum number of experimental values
! maxpf =     "     "    of free fit parameters
!  maxs =     "     "    of spectra, sets
!  axss =     "     "    of sub-spectra

! maxvaco   =  "     "    of elements (constants or parameter) taken over
!                         from frtheory or theory each call
!  maxsub   =  "     "    of subspectra for the plot block
!  maxthsp  =  "     "    of frame theories to be linked to the program
!  maxthss  =  "     "    of theories to be linked to the program

integer , public :: nwr,nwrf,nrd,ncl,nhist,iseed
character(len=132), public :: infotext(8)
character(len=16) , public :: version
character(len=8)  , public :: instinf
character(len=4)  , public :: enwr(16)
integer,public                        :: npl
integer, dimension(8),public          :: ncol,nrows

END MODULE glbconst
